## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond_without check

# https://github.com/hetznercloud/cli
%global goipath         github.com/hetznercloud/cli
Version:                1.51.0

%global   debug_package %{nil}
%if 0%{?rhel} == 8
%global gobuilddir      %{_builddir}/cli-%{version}/_build 
%global bash_completions_dir %{_datadir}/bash-completion/completions
%global fish_completions_dir %{_datadir}/fish/vendor_completions.d
%global zsh_completions_dir %{_datadir}/zsh/site-functions
%gometa
%else
%gometa -L -f
%endif

%global common_description %{expand:
A command-line interface for Hetzner Cloud.}

Name:           hcloud
Release:        %autorelease
Summary:        A command-line interface for Hetzner Cloud

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

ExcludeArch:    %{ix86} ppc64le s390x

#BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%if 0%{?rhel} == 8
%autosetup %{forgesetupargs}
install -m 0755 -vd %{gobuilddir}/bin %{gobuilddir}/src/$(dirname %{goipath})
ln -s "$(pwd)" %{gobuilddir}/src/%{goipath}
%else
%goprep -A
%endif
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

# Upstream uses goreleaser to set the version, but we need to set it manually here.
sed 's/versionPrerelease = "dev"/versionPrerelease = ""/' -i internal/version/version.go

%if 0%{?fedora} || 0%{?rhel} > 8
%generate_buildrequires
#go_vendor_license_buildrequires -c %{S:2}
%endif

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

# Build shell completions.
for SHELL in bash fish zsh; do
    %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done

%install
#go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Install shell completions.
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%check
#go_vendor_license_check -c %{S:2}
%if %{with check}
%global gomodulesmode GO111MODULE=on
%gotest ./...
%endif

%files
%license vendor/modules.txt
%doc docs examples CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/hcloud
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Fri Jul 18 2025 sheeEngineering <packager@shee.org> - 1.51.0-6
- EL8 compat

* Fri Jul 18 2025 sheeEngineering <packager@shee.org> - 1.51.0-5
- Fix: Update to 1.51.0

* Fri Jul 18 2025 sheeEngineering <packager@shee.org> - 1.51.0-4
- all sources via repo now

* Fri Jul 18 2025 sheeEngineering <packager@shee.org> - 1.51.0-2
- Update to 1.51.0

* Fri Jul 18 2025 sheeEngineering <packager@shee.org> - 1.51.0-1
- Update to 1.51.0

* Sun May 04 2025 guerra <packager@shee.org> - 1.50.0-5
- README.md aktualisiert

* Sun May 04 2025 sheeEngineering <packager@shee.org> - 1.50.0-4
- Update to 1.50.0

* Sun May 04 2025 sheeEngineering <packager@shee.org> - 1.50.0-3
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
